#pragma once
#include <windows.h>
#include <string>
using namespace std;

typedef string CString;

class CStringCountList
{

	class CStringCount
	{
	public:
		int count;
		CString string;
		CStringCount();
		virtual ~CStringCount();	
	};

	class CListedStringCount
	{
	public:
		CStringCount stringCount;
		CListedStringCount *next;
		CListedStringCount();
		virtual ~CListedStringCount();	
	};

	typedef CListedStringCount* PCListedStringCount;

public:
	void ClearList();
	PCListedStringCount m_pHead;
	double GetBestCountRatio();
	CString GetBestCountStr() const;
	void AddString(CString str);
	CStringCountList();
	virtual ~CStringCountList();

};